<ion-header>
  <ion-toolbar>
    <ion-title>{{ title }}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content *ngIf="!isCreate">
  <ion-item>
    <ion-label>Cliente</ion-label>
    <ion-select interface="action-sheet" [(ngModel)]="payment.client_id" name="client_id">
      <ion-select-option *ngFor="let client of clients" value="{{ client.id }}">{{ client.longname }}</ion-select-option>
    </ion-select>
    <ion-button color="primary" (click)="selectClient()"><ion-icon name="search-outline"></ion-icon></ion-button>
  </ion-item>

  <ion-list>
    <ion-list-header>Entregas pendientes</ion-list-header>
    <ion-item>
      <ion-label>Pago inicial</ion-label>
      <ion-label>Total</ion-label>
      <ion-label>Abono</ion-label>
      <ion-label>Creado el</ion-label>
    </ion-item>
    <ion-item *ngFor="let delivery of deliveries" (click)="goCreate(delivery)">
      <ion-label>{{ config.formatPrice(delivery.initial_payment) }}</ion-label>
      <ion-label>{{ config.formatPrice(delivery.total) }}</ion-label>      
      <ion-label>{{ config.formatPrice((delivery.payment ? delivery.payment : delivery.initial_payment)) }}</ion-label>      
      <ion-label>{{ (delivery.created ? delivery.created : 'Hoy') }}</ion-label>      
    </ion-item>
  </ion-list>
</ion-content>

<ion-content *ngIf="isCreate">
  <ion-item>
    <ion-label position="floating">Ingresa un abono</ion-label>
    <ion-input placeholder="Ingresa un abono" autofocus type="number" [(ngModel)]="payment.payment" name="payment"></ion-input>
  </ion-item>
  <ion-item>
    <ion-button size="small" expand="block" [disabled]="(payment.payment == 0)" (click)="save()">Crear abono</ion-button>
  </ion-item><br>

  <ion-list>
    <ion-list-header>Abonos creados</ion-list-header>
    <ion-item>
      <ion-label>Abono</ion-label>
      <ion-label>Creado el</ion-label>
    </ion-item>
    <ion-item *ngFor="let payment of payments">    
      <ion-label>{{ config.formatPrice(payment.payment) }}</ion-label>      
      <ion-label>{{ payment.created }}</ion-label>      
    </ion-item>
  </ion-list>  
</ion-content>
<ion-footer *ngIf="isCreate">
  <ion-toolbar>
    <ion-title>
      Volver
    </ion-title>
    <ion-buttons slot="end">
      <ion-button id="changeText" (click)="back()">
        <ion-icon slot="start" name="refresh"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-footer>